Returns a list of student submissions that the requester is permitted to view.
This method returns the following error codes:
PERMISSION_DENIEDfor access errors.INVALID_ARGUMENTif the request is malformed.NOT_FOUNDif one of the identified resources does not exist.
HTTP request
GET https://classroom.googleapis.com/v1/courses/{courseId}/courseWork/{itemId}/addOnAttachments/{attachmentId}/studentSubmissions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
courseId |
Required. Identifier of the course. |
itemId |
Required. Identifier of the |
attachmentId |
Required. Identifier of the add-on attachment. |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. Maximum number of submissions to return. Zero or unspecified indicates that the server may assign a maximum. The server may return fewer than the specified number of results. |
pageToken |
Optional. A page token, received from a previous When paginating, all other parameters provided to |
Request body
The request body must be empty.
Response body
Response when listing student submissions for an add-on attachment.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"addOnAttachmentStudentSubmissions": [
{
object ( |
| Fields | |
|---|---|
addOnAttachmentStudentSubmissions[] |
Add-on attachment student submissions that match the request. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/classroom.addons.studenthttps://www.googleapis.com/auth/classroom.addons.teacher
For more information, see the OAuth 2.0 Overview.